<?xml version="1.0" encoding="UTF-8"?>
<!-- WARNING: Eclipse auto-generated file.
              Any modifications will be overwritten.
              To include a user specific buildfile here, simply create one in the same
              directory with the processing instruction <?eclipse.ant.import?>
              as the first entry and export the buildfile again. -->
<project basedir="." default="build" name="oviyam">
    <property environment="env"/>   
    <property name="debuglevel" value="source,lines,vars"/>
    <property name="target" value="1.5"/>
    <property name="source" value="1.5"/>
    <path id="Web App Libraries.libraryclasspath"/>
    <path id="oviyam.classpath">
        <pathelement location="target/classes"/>
        <path refid="Web App Libraries.libraryclasspath"/>
        <pathelement location="lib/catalina-root.jar"/>
        <pathelement location="lib/clibwrapper_jiio.jar"/>
        <pathelement location="lib/commons-cli-1.0.jar"/>
        <pathelement location="lib/dcm4che.jar"/>
        <pathelement location="lib/dcm4che-core-2.0.11.jar"/>
        <pathelement location="lib/dcm4chee.jar"/>
        <pathelement location="lib/getopt.jar"/>
        <pathelement location="lib/jai_codec.jar"/>
        <pathelement location="lib/jai_core.jar"/>
        <pathelement location="lib/jai_imageio.jar"/>
        <pathelement location="lib/jlfgr-1_0.jar"/>
        <pathelement location="lib/jsp-api.jar"/>
        <pathelement location="lib/jstl.jar"/>
        <pathelement location="lib/log4j.jar"/>
        <pathelement location="lib/services.jar"/>
        <pathelement location="lib/servlet-api.jar"/>
        <pathelement location="lib/slf4j-api-1.2.jar"/>
        <pathelement location="lib/slf4j-log4j12-1.2.jar"/>
        <pathelement location="lib/standard.jar"/>
    </path>
    <target name="init">
        <mkdir dir="target/classes"/>
        <copy includeemptydirs="false" todir="target/classes">
            <fileset dir="src" excludes="**/*.launch, **/*.java"/>
        </copy>
        <copy includeemptydirs="false" todir="target/classes">
            <fileset dir="src/java" excludes="**/*.launch, **/*.java"/>
        </copy>
        <copy includeemptydirs="false" todir="target/classes">
            <fileset dir="src/web" excludes="**/*.launch, **/*.java"/>
        </copy>
    </target>
    <target name="clean">
        <delete dir="target/classes"/>
    </target>
    <target depends="clean" name="cleanall"/>
    <target depends="build-subprojects,build-project" name="build"/>
    <target name="build-subprojects"/>
    <target depends="init" name="build-project">
        <echo message="${ant.project.name}: ${ant.file}"/>
        <javac debug="true" debuglevel="${debuglevel}" destdir="target/classes" source="${source}" target="${target}">
            <src path="src"/>
            <exclude name="java/"/>
            <exclude name="web/"/>
            <classpath refid="oviyam.classpath"/>
        </javac>
        <javac debug="true" debuglevel="${debuglevel}" destdir="target/classes" source="${source}" target="${target}">
            <src path="src/java"/>
            <classpath refid="oviyam.classpath"/>
        </javac>
        <javac debug="true" debuglevel="${debuglevel}" destdir="target/classes" source="${source}" target="${target}">
            <src path="src/web"/>
            <classpath refid="oviyam.classpath"/>
        </javac>
    </target>
    <target description="Build all projects which reference this project. Useful to propagate changes." name="build-refprojects"/>
   
    <target description="compile project with Eclipse compiler" name="build-eclipse-compiler">
        <property name="build.compiler" value="org.eclipse.jdt.core.JDTCompilerAdapter"/>
        <antcall target="build"/>
    </target>
</project>
